## org.apache.lucene.search
Class FieldCacheTermsFilter.FieldCacheTermsFilterDocIdSet

    java.lang.Object
      org.apache.lucene.search.DocIdSet
          org.apache.lucene.search.FieldCacheTermsFilter.FieldCacheTermsFilterDocIdSet

Enclosing class:
  FieldCacheTermsFilter

    protected class FieldCacheTermsFilter.FieldCacheTermsFilterDocIdSet

extends DocIdSet

Nested Class Summary
`protected class` `FieldCacheTermsFilter.FieldCacheTermsFilterDocIdSet.FieldCacheTermsFilterDocIdSetIterator`

Field Summary

Fields inherited from class org.apache.lucene.search.DocIdSet
`EMPTY_DOCIDSET`

Constructor Summary
`FieldCacheTermsFilter.FieldCacheTermsFilterDocIdSet(FieldCache.StringIndex fcsi)`

Method Summary
`boolean` `isCacheable()` This DocIdSet implementation is cacheable.
`DocIdSetIterator` `iterator()` Provides a `DocIdSetIterator` to access the set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldCacheTermsFilter.FieldCacheTermsFilterDocIdSet

    public FieldCacheTermsFilter.FieldCacheTermsFilterDocIdSet(FieldCache.StringIndex fcsi)

Method Detail

### iterator

    public DocIdSetIterator iterator()

  Description copied from class: `DocIdSet`
  Provides a `DocIdSetIterator` to access the set. This implementation can return `null` or `DocIdSet.EMPTY_DOCIDSET.iterator()` if there are no docs that match.

  Specified by:
    `iterator` in class `DocIdSet`

### isCacheable

    public boolean isCacheable()

  This DocIdSet implementation is cacheable.

  Overrides:
    `isCacheable` in class `DocIdSet`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.